Subject: Re: bug#12174: 24.1.50; C-h f and non-symbol remap targets

From: Dani Moncayo <[email-masked]>
Date: Wed, 22 Aug 2012 09:21:40 +0200

On Wed, Aug 22, 2012 at 9:02 AM, Glenn Morris <[email-masked]> wrote:
> Version: 24.3

One question: If some other severe bug arises upon the (not yet)
released Emacs 24.2, so that a 24.3 release becomes necessary (from
the emacs-24 branch), then the above tag will be incorrect, won't it?

It seems that the current versioning pattern has this problem.  We
don't know beforehand the version under which the current trunk code
will be released.

So, what about switching to a different pattern which doesn't have this problem?

For example: Name the next trunk's branch as "emacs-24.3", and every
release made from that branch would be labeled "emacs 24.3.x".

This way, we would know for sure that the trunk code would be released
as version "24.4" (or "25.1" -- what the maintainer's decide).

-- 
Dani Moncayo